Package wx :: Package lib :: Module delayedresult :: Class DelayedResult

[frames | no frames]

## Class DelayedResult

Represent the actual delayed result coming from the non-main thread. An instance of this is given to the result handler. This result is either a (reference to a) the value sent, or an exception. If the latter, the exception is raised when the get() method gets called.

Method Summary
| ``__init__`(self, result, jobID, exception)` You should never have to call this yourself.
| ``get`(self)` Get the result.
| ``getJobID`(self)` Return the jobID given when Sender initialized, or None if none given.

Method Details

### __init__(self, result, jobID=None, exception=None)
(Constructor)

You should never have to call this yourself. A DelayedResult is created by a concrete Sender for you.

### get(self)

Get the result. If an exception was sent instead of a result, (via Sender's sendExcept()), that exception is raised. Otherwise the result is simply returned.

### getJobID(self)

Return the jobID given when Sender initialized, or None if none given.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:39 2007 | http://epydoc.sf.net